<html>
<head>
<script src="/newone/js/jquery-1.12.4.js"></script>

<script>
	
function btn01() {
	var rows = [];
  $('table tr').each(function(i, n){
   var $row = $(n);
	 rows.push({
	 	rowid:    $row.find('td:eq(0)').text(),
	 	txlcode:  $row.find('td:eq(1)').text(),
	 	messdate: $row.find('td:eq(2)').text(),
	 	raudate:  $row.find('td:eq(3)').text()
	 });
	});
    
	//console.log(JSON.stringify(rows));
  
  $('#tblDiv').hide();
  $('#jsonDiv').text(JSON.stringify(rows));
}
	

function btn02(){
	var rows = [];
	$('table tr').each(function(i, n){
	  var $row = $(n);
		rows.push({
			rowid:			$row.find('td:eq(0)').text(),
			txlcode:		$row.find('td:eq(1)').text(),
			messdate:		$row.find('td:eq(2)').text(),
			raudate:		$row.find('td:eq(3)').text()
 		});
 	});

	$('#tblDiv').hide();
	jsonData = JSON.stringify(rows);

	$.each(rows, function(i,e){
	  if ( e["raudate"].length === 19 ) {
    
  	} else {
    	console.log(e["rowid"] + ": " + e["raudate"]);
  	}
  
	});
}


</script>
<link rel=stylesheet href="conv.css">
</head>

<body>


<button id="btn01" onclick="btn01();">Click!</button><br />
<div id="tblDiv">
<table id="data">
<thead><tr>
	<th>RowID</th>
	<th>TXLCode</th>
	<th>MessDate</th>
	<th>RauDate</th>
</tr></thead>

<?php

	$db = mysqli_connect("localhost", "txl", "trixell", "txl_test");
	if(!$db) {
		echo "Unable to connect to MySQL: " . mysqli_error($db);
		return;
	} else {
		//echo "Connected ...";
	}
	
	
	$sql = "SELECT ID, TXLCode, MessComm, RauComm FROM Bauteile";
	$result = $db->query($sql);
	$results = array();
	$rowCnt = 0;
	
	if ($result->num_rows > 0) {
		while($row = $result->fetch_row()) {
			$results[$rowCnt] = $row;
			$rowCnt++;
		}
	}	else {
			echo mysqli_error($db);
			$db->close();
			//echo '{ "nu":"ll" }';
			return;
	}
	
	$db->close();
	
	
	//echo json_encode($results);
	
	foreach($results as $result) {
		$rowID = $result[0];
		$txlcode = $result[1];
		$messComm = $result[2];
		$rauComm = $result[3];
		
		
		// Messdatumsextraktion 
		if (preg_match('/^ Z:KundenTrixellProjekte3040MessdatenMessdaten nach dem Schneidenimportedold2newTrixell3040_Messwerteerfassung/', $messComm)) {
			$messComm = getNewDateTimeString(1, $messComm);
		} else if (preg_match('/^ Z:\\\\Kunden\\\\Trixell\\\\Projekte\\\\3040\\\\Messdaten\\\\Messdaten nach dem Schneiden\\\\Trixel/', $messComm)) {
			$messComm = getNewDateTimeString(4, $messComm);
		} else if (preg_match('/^1/', $messComm)) {
			$messComm = getNewDateTimeString(5, $messComm);
		} else if (preg_match('/^Vorabeintrag Messmaske3040/', $messComm)) {
			$messComm = getNewDateTimeString(2, $messComm);
		} else if (preg_match('/^Vorabeintrag Messmaske2121 /', $messComm)) {
			$messComm = getNewDateTimeString(2.1, $messComm);
		} else if (preg_match('/^Vorabeintrag Messmaske2121C /', $messComm)) {
			$messComm = getNewDateTimeString(2.2, $messComm);
		} else if (preg_match('/^TME2: /', $messComm)) {
			$messComm = getNewDateTimeString(3, $messComm);
		} else {
			$messComm = "unbekannt: ". $messComm;
		}
		
		// Rauheitsdatumsextraktion
		$rauDateTime = array();
		$rauDateArr = array();
		if (preg_match('/^RE: /', $rauComm)) {
			// RE: 25.02.2016 11:28:18
			$rauDateTime = explode(" ", $rauComm);
			$rauDate = $rauDateTime[1];
			$rauDateArr = explode(".", $rauDate);
			$rauDate = $rauDateArr[2] ."-". $rauDateArr[1] ."-". $rauDateArr[0];
			$rauTime = $rauDateTime[2];
			$rauComm = $rauDate ." ". $rauTime;
		} else if ( strlen($rauComm) == 10 ) {
			// 25.02.2016
			$rauDateArr = explode(".", $rauComm);
			$rauDate = $rauDateArr[2] ."-". $rauDateArr[1] ."-". $rauDateArr[0];
			$rauComm = $rauDate ." 23:59:59";
		} else if ( strlen($rauComm) == 9 ) {
			// 25.02.2016
			$rauDateArr = explode(".", $rauComm);
			$rauDate = $rauDateArr[2] ."-". $rauDateArr[1] ."-0". $rauDateArr[0];
			$rauComm = $rauDate ." 23:59:59";
		} else if ( $rauComm == "1" ) {
			$rauComm = "1979-04-18 20:16:00";
		} else {
			$rauComm = "unbekannt: ". $rauComm;
		}

		echo "<tr><td>". str_pad($rowID, 4, '0', STR_PAD_LEFT) ."</td><td>".  $txlcode ."</td><td>". $messComm ."</td><td>". $rauComm ."</td></tr>";
		
		
	}


function getNewDateTimeString($type, $str){
	$messDateTimeArr = array();

	if ($type == 1) {
			//  Z:KundenTrixellProjekte3040MessdatenMessdaten nach dem Schneidenimportedold2newTrixell3040_Messwerteerfassung_ab20131104.xls importiert am 08.04.2014 09:39:44
			//  Z:KundenTrixellProjekte3040MessdatenMessdaten nach dem Schneidenimportedold2newTrixell3040_Messwerteerfassung_bis20130516.xls importiert am 08.04.2014 09:40:38
			$messDateTimeArr = explode(" am ", $str);
			$messDateTimeArr = explode(" ", $messDateTimeArr[1]);
	}

	if ($type == 2) {
			// Vorabeintrag Messmaske3040 27.05.2014 08:45:47
			$messDateTimeArr = explode("3040 ", $str);
			$messDateTimeArr = explode(" ", $messDateTimeArr[1]);
	}

	if ($type == 2.1) {
			// Vorabeintrag Messmaske3040 27.05.2014 08:45:47
			$messDateTimeArr = explode("2121 ", $str);
			$messDateTimeArr = explode(" ", $messDateTimeArr[1]);
	}
	if ($type == 2.2) {
			// Vorabeintrag Messmaske3040 27.05.2014 08:45:47
			$messDateTimeArr = explode("2121C ", $str);
			$messDateTimeArr = explode(" ", $messDateTimeArr[1]);
	}

	if ($type == 3) {
			// TME2: 21.01.2016 06:47:10
			$messDateTimeArr = explode("2: ", $str);
			$messDateTimeArr = explode(" ", $messDateTimeArr[1]);
	}

	if ($type == 4) {
			// Z:\Kunden\Trixell\Projekte\3040\Messdaten\Messdaten nach dem Schneiden\Trixell3040_Messwerteerfassung_ab20140211_2.xls importiert am 05.06.2014 14:14:20 / Hand-Import am 05.06.2014 OBK
			$messDateTimeArr = explode(" am ", $str);
			$messDateTimeArr = explode(" / ", $messDateTimeArr[1]);
			$messDateTimeArr = explode(" ", $messDateTimeArr[0]);
	}

	if ($type == 5) {
		return "1979-04-18 20:16:00";
	}

	$messDate = $messDateTimeArr[0];
	$messTime = $messDateTimeArr[1];
	$messDateArr = explode(".", $messDate);
	$messDate = $messDateArr[2] ."-". $messDateArr[1] ."-". $messDateArr[0];
	return $messDate ." ". $messTime;

}
	
?>
</table>
</div>
<div id="jsonDiv"></div>
</body>
</html>
